Users

List users

get

List users in the same workspace. Administrators & operators with legacyViewAll set to true can see the full list, other users can only see themselves.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger · min: 1 · max: 9007199254740991Optional

Which page to fetch

Default: 1
pageSizeinteger · min: 1 · max: 30Optional

Page size to use

Default: 30
rolestring · enumOptional

User role

Possible values:
deviceTypestring · enumOptional

User's device type

Possible values:
statusstring · enumOptional

User status

Possible values:
sortBystring · enumOptional

Sort by attribute

Default: createdAtPossible values:
sortOrderstring · enumOptional

Sort order

Default: ascPossible values:
idsstring[]Optional

List of user IDs to filter by

Responses
chevron-right
200

Successful response

application/json
pagenumberRequired

Current page

nextany ofRequired

Next page or null if there is none

numberOptional
or
nullOptional
prevany ofRequired

Previous page or null if there is none

numberOptional
or
nullOptional
pageSizenumberRequired

Max count of items per page

totalnumberRequired

Total count of items

get
/users

Get a single user

get

Find a user by its ID. Use me to fetch current user. Operators can only see themselves (unless they have legacyViewAll set to true), fetching other users will yield Not Found error.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Id of the target user

Responses
chevron-right
200

Successful response

application/json
idstringRequired

Internal unique identifier

legacyIdnumberRequired

Legacy internal unique identifier (for retro-compatibility)

legacyViewAllbooleanRequired

If true, user can read all resources on the workspace

workspaceNamestringRequired

User's workspace name

namestringRequired

User name

deviceUserIdany ofRequired

User's device ID (for non-API users)

stringOptional
or
nullOptional
deviceTypestring · enumRequired

User's device type

Possible values:
rolestring · enumRequired

User role

Possible values:
pubKeystringRequired

User public key

statusstring · enumRequired

User status

Possible values:
isSuspendedbooleanRequired

Whether the user is suspended

createdAtstringRequired

Creation timestamp

updatedAtstringRequired

Last modification timestamp

get
/users/{id}

Last updated